%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/natural-frequencies/b-splines.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{B-splines Cable}

One reason B-splines are under consideration is their ability to approximate continuous curves~$\curve \in C^{2}$ with two \gls{DOF} for parametrization.
Since B-splines are piecewise polynomial curves, we can change both the number of pieces composing our B-spline as well as we can change the local polynomial degree.
In addition, as given in~\cref{sec:cable-dynamics:rayleig-ritz:bases-functions} presenting the investigated bases functions, the control points of a curve defined by B-splines only have local support \textIe changes in one control point\textemdash in our case the control points are generalized coordinates\textemdash affects the curve shape only locally.
In other terms, the generalized coordinates are only locally coupled to a limited number of their preceding and succeeding control points which depends only on the local polynomial degree.
Theoretically this feature of B-splines leads to making the system numerically less stiff thus better predicting the natural frequencies.

%% nurbs cable, fixed segment, varying degree
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--bsplines--natural-frequencies--segment-10--tension-free}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/bsplines/natural-frequencies/segment-10/tension-free}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the B-spline cable with number of segments~$\numsegments = 10$ and local polynomial degree~$\polydeg \in \numset{3;4;5;6}$ compared to natural frequencies of the tension-free beam.%
  }
  \label{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:bsplines:varying-polynomial-degree}
\end{figure}

In a first evaluation, we split our cable into fixed~$\numsegments = 10$ segments each defined through local B-splines of varying polynomial degree.
\Cref{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:bsplines:varying-polynomial-degree} shows decreasing relative differences in the prediction of natural frequencies of the simply-supported beam as the local polynomial degree is increased.
Further, the approximation error between numerical and analytical solution always stay below the threshold of~$\Delta \naturalfrequency_{k} < 1$ for all natural frequencies, the first~$7$ natural frequencies are bounded by a relative difference of~$\Delta \naturalfrequency_{k = 1, \dotsc, 7} \leq \num{1e-2}$, yielding an absolute approximation error of less than~$\SI{0.18}{\radian\per\second} = \SI{0.02864789}{\hertz}$.

%% nurbs cable, fixed segment, fixed degree, varying tension
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--bsplines--natural-frequencies--varying-tension-d04-s10}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/bsplines/natural-frequencies/varying-tension-d04-s10}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the B-spline cable with number of segments~$\numsegments = 10$ and local polynomial degree~$\polydeg = 4$ compared to natural frequencies of the axially loaded beam with tensions in~$\tension_{\ms{axial}} \in \SIset{0;100;1500;3000}{\newton} \}$.%
  }
  \label{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:bsplines:varying-tension-}
\end{figure}

With axial beam stress increasing within the range of interest, 

%% nurbs cable, fixed segment, varying degree
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--bsplines--natural-frequencies--degree-04--tension-free}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/bsplines/natural-frequencies/degree-04/tension-free}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the B-spline cable with local polynomial degree~$\polydeg = 4$ and number of segments~$\numsegments \in \numset{1;5;10;20}$.%
  }
  \label{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:bsplines:varying-segment-count}
\end{figure}

In a second evaluation, we set the local polynomial degree to fixed~$\polydeg = 3$ and vary the number of segments~(see~\cref{fig:cable-dynamics:rayleigh-ritz:numerical-evaluation:natural-frequencies:bsplines:varying-segment-count}).
A convergence similar to the previous case~(fixed segment count and change of local polynomial degree) can be observed, however, the relative difference between numerical and analytical natural frequencies is generally higher by factor~$5$, yet still with magnitudes of~$\numrange{1e-3}{5e-1}$.
